/*******************************************************************************
* File Name: PD_j1HY28B_iCtrl.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CONTROL_REG_PD_j1HY28B_iCtrl_H) /* CY_CONTROL_REG_PD_j1HY28B_iCtrl_H */
#define CY_CONTROL_REG_PD_j1HY28B_iCtrl_H

#include "cytypes.h"

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 controlState;

} PD_j1HY28B_iCtrl_BACKUP_STRUCT;


/***************************************
*         Function Prototypes 
***************************************/

void    PD_j1HY28B_iCtrl_Write(uint8 control) ;
uint8   PD_j1HY28B_iCtrl_Read(void) ;

void PD_j1HY28B_iCtrl_SaveConfig(void) ;
void PD_j1HY28B_iCtrl_RestoreConfig(void) ;
void PD_j1HY28B_iCtrl_Sleep(void) ; 
void PD_j1HY28B_iCtrl_Wakeup(void) ;


/***************************************
*            Registers        
***************************************/

/* Control Register */
#define PD_j1HY28B_iCtrl_Control        (* (reg8 *) PD_j1HY28B_iCtrl_Sync_ctrl_reg__CONTROL_REG )
#define PD_j1HY28B_iCtrl_Control_PTR    (  (reg8 *) PD_j1HY28B_iCtrl_Sync_ctrl_reg__CONTROL_REG )

#endif /* End CY_CONTROL_REG_PD_j1HY28B_iCtrl_H */


/* [] END OF FILE */
